#ifndef LYNGOO_H
#define LYNGOO_H

#include <stdlib.h>
#include <stdio.h>

#include <dingkit/audio.h>
#include <dingkit/timer.h>
#include <dingkit/ucos2.h>

#include "System.h"
#include "Lynxdef.h"

#include "dingoogfx.h"
#include "pad.h"
#include "sound.h"
#include "throttle.h"

#define FILE_VERSION		"LynGOO v1.0"

#define ACTIONS_VIEW		0x2000000
#define VIEW_REQUEST		0x1000000
#define ACTION_CONTINUE		1
#define ACTION_VOLUME		2
#define ACTION_SCREENMODE	3
#define ACTION_LOAD_STATE	4
#define ACTION_SAVE_STATE	5
#define ACTION_RESET		6
#define ACTION_QUIT		7

#define ROM_FILE			"A:\\GAME\\lynxboot.img"
#define STA_EXT				".sta"
#define MAXPATH				256
#define MAXENTRY			256

#define SCREENMODE_1X			1
#define SCREENMODE_2X			2
#define SCREENMODE_STRETCH		3

typedef struct
{
   char selectedRomName[MAXPATH];
   int loopCount;
   int screenMode, screenWidth, screenHeight;
   int sndLevel;
   int lynxKeyUp, lynxKeyDown, lynxKeyLeft, lynxKeyRight, lynxKeyA, lynxKeyB, lynxKeyOPT1, lynxKeyOPT2, lynxKeyStart;
   CSystem *lynxSystem;
} LynGOOConf;

extern LynGOOConf config;

uint32_t ActionSelectView();
int GetKeyIndex(int key);
void LoadState();
void SaveState();

#endif
